package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxBusiness;

import java.util.List;

public interface WxBusinessService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxBusiness> listAsPage(WxBusiness record, Integer pageIndex, Integer pageSize);

	/**
	 * 根据实体查询列表
	 *
	 * @param record
	 * @return
	 */
	List<WxBusiness> findList(WxBusiness record);

	/**
	 * 查询全部列表
	 *
	 * @return
	 */
	List<WxBusiness> findListAll();
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxBusiness getById(Integer id);

    
	
	

	
	
	
	
}
